MsWrdTextInternal::State Struct Reference documentation

MsWrdTextInternal::State Struct Reference

Internal: the state of a MsWrdParser. More...

## Public Member Functions
| State ()
| constructor
long | getTotalTextSize () const
| returns the total text size
int | getTextStructId (long textPos) const
| returns the id of textpos corresponding to a cPos or -1
long | getFilePos (long textPos) const
| returns the file position corresponding to a text entry
std::shared_ptr< Table > | getTable (long cPos) const
| try to return a table which begins at a character position
std::fstream & | debugFile2 ()
| internal and low level: defined a second debug file

## Public Attributes
int | m_version
| the file version
long | m_bot
| the default text begin
long | m_textLength [3]
| the text length (main, footnote, header+footer)
std::vector< MWAWEntry > | m_headerFooterZones
| the header/footer zones
std::vector< TextStruct > | m_textposList
| the text positions
std::multimap< long, MsWrdText::PLC > | m_plcMap
| the text correspondance zone ( textpos, plc )
std::multimap< long, MsWrdText::PLC > | m_filePlcMap
| the file correspondance zone ( filepos, plc )
std::vector< Line > | m_lineList
| the list of lines
std::map< long, int > | m_paragraphLimitMap
| the paragraph limit -> textposition (or -1)
std::vector< long > | m_sectionLimitList
| the section cPos limit
std::map< long, MsWrdStruct::Font > | m_fontMap
| the final correspondance font zone ( textpos, font)
std::map< long, MsWrdStruct::Paragraph > | m_paragraphMap
| the final correspondance paragraph zone ( textpos, paragraph)
std::map< long, Property > | m_propertyMap
| the position where we have new data ( textpos -> [ we have done debug printing ])
std::set< long > | m_tableCellPosSet
| a set of all begin cell position
std::map< long, std::shared_ptr< Table > > | m_tableMap
| the final correspondance table zone ( textpos, font)
std::vector< MsWrdStruct::ParagraphInfo > | m_paraInfoList
| the list of paragraph info modifier
std::vector< Page > | m_pageList
| the list of pages
std::vector< Field > | m_fieldList
| the list of fields
std::vector< Footnote > | m_footnoteList
| the list of footnotes
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
std::fstream | m_debugFile
| internal and low level: defined a second debug file

## Detailed Description

Internal: the state of a MsWrdParser.

## Constructor & Destructor Documentation

## ◆ State()

MsWrdTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ debugFile2()

std::fstream & MsWrdTextInternal::State::debugFile2 | ( |  | ) |
| inline

internal and low level: defined a second debug file

## ◆ getFilePos()

long MsWrdTextInternal::State::getFilePos | ( | long | textPos | ) | const
| inline

returns the file position corresponding to a text entry

## ◆ getTable()

std::shared_ptr< Table > MsWrdTextInternal::State::getTable | ( | long | cPos | ) | const
| inline

try to return a table which begins at a character position

## ◆ getTextStructId()

int MsWrdTextInternal::State::getTextStructId | ( | long | textPos | ) | const
| inline

returns the id of textpos corresponding to a cPos or -1

Referenced by getFilePos().

## ◆ getTotalTextSize()

long MsWrdTextInternal::State::getTotalTextSize | ( |  | ) | const
| inline

returns the total text size

## Member Data Documentation

## ◆ m_actPage

int MsWrdTextInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_bot

long MsWrdTextInternal::State::m_bot

the default text begin

Referenced by getFilePos(), and State().

## ◆ m_debugFile

std::fstream MsWrdTextInternal::State::m_debugFile

internal and low level: defined a second debug file

Referenced by debugFile2(), and State().

## ◆ m_fieldList

std::vector<Field> MsWrdTextInternal::State::m_fieldList

the list of fields

Referenced by State().

## ◆ m_filePlcMap

std::multimap<long, MsWrdText::PLC> MsWrdTextInternal::State::m_filePlcMap

the file correspondance zone ( filepos, plc )

Referenced by State().

## ◆ m_fontMap

std::map<long, MsWrdStruct::Font> MsWrdTextInternal::State::m_fontMap

the final correspondance font zone ( textpos, font)

Referenced by State().

## ◆ m_footnoteList

std::vector<Footnote> MsWrdTextInternal::State::m_footnoteList

the list of footnotes

Referenced by State().

## ◆ m_headerFooterZones

std::vector<MWAWEntry> MsWrdTextInternal::State::m_headerFooterZones

the header/footer zones

Referenced by State().

## ◆ m_lineList

std::vector<Line> MsWrdTextInternal::State::m_lineList

the list of lines

Referenced by State().

## ◆ m_numPages

int MsWrdTextInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_pageList

std::vector<Page> MsWrdTextInternal::State::m_pageList

the list of pages

Referenced by State().

## ◆ m_paragraphLimitMap

std::map<long, int> MsWrdTextInternal::State::m_paragraphLimitMap

the paragraph limit -> textposition (or -1)

Referenced by State().

## ◆ m_paragraphMap

std::map<long, MsWrdStruct::Paragraph> MsWrdTextInternal::State::m_paragraphMap

the final correspondance paragraph zone ( textpos, paragraph)

Referenced by State().

## ◆ m_paraInfoList

std::vector<MsWrdStruct::ParagraphInfo> MsWrdTextInternal::State::m_paraInfoList

the list of paragraph info modifier

Referenced by State().

## ◆ m_plcMap

std::multimap<long, MsWrdText::PLC> MsWrdTextInternal::State::m_plcMap

the text correspondance zone ( textpos, plc )

Referenced by State().

## ◆ m_propertyMap

std::map<long, Property> MsWrdTextInternal::State::m_propertyMap

the position where we have new data ( textpos -> [ we have done debug printing ])

Referenced by State().

## ◆ m_sectionLimitList

std::vector<long> MsWrdTextInternal::State::m_sectionLimitList

the section cPos limit

Referenced by State().

## ◆ m_tableCellPosSet

std::set<long> MsWrdTextInternal::State::m_tableCellPosSet

a set of all begin cell position

Referenced by State().

## ◆ m_tableMap

std::map<long, std::shared_ptr<Table> > MsWrdTextInternal::State::m_tableMap

the final correspondance table zone ( textpos, font)

Referenced by getTable(), and State().

## ◆ m_textLength

long MsWrdTextInternal::State::m_textLength[3]

the text length (main, footnote, header+footer)

Referenced by getTotalTextSize(), and State().

## ◆ m_textposList

std::vector<TextStruct> MsWrdTextInternal::State::m_textposList

the text positions

Referenced by getFilePos(), getTextStructId(), and State().

## ◆ m_version

int MsWrdTextInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- MsWrdText.cxx